use rand::Rng;
// ANCHOR: here
// --fragment pominięty--
use std::cmp::Ordering;
use std::io;
// --fragment pominięty--
// ANCHOR_END: here

fn main() {
    println!("Zgadnij liczbę!");

    let secret_number = rand::thread_rng().gen_range(1..=100);

    println!("Sekretna liczba to: {secret_number}");

    println!("Wpisz swój typ.");

    let mut guess = String::new();

    io::stdin()
        .read_line(&mut guess)
        .expect("Nie udało się odczytać linii");

    println!("Twój typ to: {guess}");

    match guess.cmp(&secret_number) {
        Ordering::Less => println!("Za mała liczba!"),
        Ordering::Greater => println!("Za duża liczba!"),
        Ordering::Equal => println!("Zgadłeś!"),
    }
}
